felix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Reto Bachmann-Gmür (JIRA) <j...@apache.org>
Subject [jira] [Commented] (FELIX-3893) Bundle in cache doesn't pass security check anymore.
Date Tue, 12 Feb 2013 16:33:12 GMT

    [ https://issues.apache.org/jira/browse/FELIX-3893?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13576748#comment-13576748

Reto Bachmann-Gmür commented on FELIX-3893:

Yes! with the latest trunk version with felix.main depending on the trunk version of the framework
it works! Thanks a lot.

Would be cool if this gets released soon. As long as it isn't yet it would be great if you
could deploy the artifacts to the snapshot repository. ( https://repository.apache.org/content/repositories/snapshots/org/apache/felix/org.apache.felix.framework.security/)
> Bundle in cache doesn't pass security check anymore.
> ----------------------------------------------------
>                 Key: FELIX-3893
>                 URL: https://issues.apache.org/jira/browse/FELIX-3893
>             Project: Felix
>          Issue Type: Bug
>          Components: Framework Security
>    Affects Versions: framework.security-2.0.1
>            Reporter: Reto Bachmann-Gmür
>            Assignee: Karl Pauls
>            Priority: Blocker
>             Fix For: framework.security-2.2.0
> After updating the felix component in Clerezza clerezza starts normally the first time.
On subsequent starts it shows Errors.
> The first one being:
> ERROR: Bundle in cache doesn't pass security check anymore.
> (java.lang.ArrayIndexOutOfBoundsException: -1)
> java.lang.ArrayIndexOutOfBoundsException: -1
> 	at org.apache.felix.framework.security.verifier.BundleDNParser.getRootChains(BundleDNParser.java:470)
> 	at org.apache.felix.framework.security.verifier.BundleDNParser._getDNChains(BundleDNParser.java:246)
> 	at org.apache.felix.framework.security.verifier.BundleDNParser.checkDNChains(BundleDNParser.java:145)
> 	at org.apache.felix.framework.SecurityProviderImpl.checkBundle(SecurityProviderImpl.java:63)
> 	at org.apache.felix.framework.Felix.setBundleProtectionDomain(Felix.java:854)
> 	at org.apache.felix.framework.Felix.init(Felix.java:805)
> 	at org.apache.felix.framework.Felix.start(Felix.java:882)
> 	at org.apache.clerezza.platform.launcher.ClerezzaApp.start(ClerezzaApp.java:184)
> 	at org.apache.clerezza.platform.launcher.ClerezzaApp.start(ClerezzaApp.java:167)
> 	at org.apache.clerezza.platform.launcher.Main.main(Main.java:34)
> To reproduce the error:
> Compile the current trunk version from: https://svn.apache.org/repos/asf/incubator/clerezza/trunk/
> cd platform.launcher.tdb/target
> java -Xmx1024M -XX:MaxPermSize=400M -Xss512k -jar platform.launcher.tdb-0.6-incubating-SNAPSHOT.jar

This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

View raw message